<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>News Improvements - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">News Improvements</h1>

<div id="content">
  <p>
    You may have noticed some various improvements and changes to our news
    system; entries now get their own permalink pages and the most recent
    news entry shows up on the front page. These are some easily noticeable
    cosmetic changes demonstrating the new News DOMFilter. This filter
    aggregates pages following the YYYY/MMDD-name.xhtml format in a folder
    and places the most recent contents on one page. This is opposed to what
    we previously did, which was stuff all the news contents on one page and
    have a scraper generate RSS for us (by the way, we still use the same
    scraper, which is due to the quite nice modularity of the two filters).
  </p>
  <p>
    There should be more improvements coming soon as we add the features and
    trappings of a standard <q>blog</q>; expect comments and improved 
    navigation, for example. I also plan on launching a personal weblog for
    <abbr>PHP</abbr> and other development related things; stay tuned.
  </p>
  <p>
    As usual, this software is all free and can be accessed under the
    <a href="http://repo.or.cz/w/xhtml-compiler.git">XHTML Compiler</a> project at repo.or.cz.
  </p>
</div>
</div>
</body>
</html>